Package Details: ueberzugpp 2.9.4-1

Git Clone URL: https://aur.archlinux.org/ueberzugpp.git (read-only, click to copy)
Package Base: ueberzugpp
Description: Command line util which allows to display images in combination with X11 written in C++
Upstream URL: https://github.com/jstkdng/ueberzugpp
Licenses: GPL-3.0-or-later
Conflicts: ueberzug
Provides: ueberzug
Submitter: JstKddng
Maintainer: JstKddng
Last Packager: JstKddng
Votes: 19
Popularity: 1.80
First Submitted: 2023-01-17 07:11 (UTC)
Last Updated: 2024-02-25 22:01 (UTC)

Required by (23)

Sources (1)

Latest Comments

1 2 Next › Last »

JstKddng commented on 2024-02-10 17:17 (UTC)

@sirwzi9502

seems you have an outdated fmt version, fmt is on version 10

sirwzi9502 commented on 2024-02-10 08:54 (UTC)

for some reason I am getting fmt errors. during linking

'fmt::v9::format_error::~format_error()' /usr/bin/ld: /tmp/ccfZpH6j.ltrans14.ltrans.o:/usr/local/include/fmt/format.h:2608:(.text.unlikely+0x56d): undefined reference to `typeinfo for fmt::v9::format_error' collect2: error: ld returned 1 exit status make[2]: *** [CMakeFiles/ueberzug.dir/build.make:625: ueberzug] Error 1 make[1]: *** [CMakeFiles/Makefile2:83: CMakeFiles/ueberzug.dir/all] Error 2 make: *** [Makefile:136: all] Error 2

AlexBocken commented on 2024-01-07 12:23 (UTC)

With the recent upgrade of opencv to 4.9 this requires a rebuild of uberzugpp against the new libraries. Although not strictly required by AUR guidelines I'd recommend bumping the pkgrel up to enforce this rebuild.

JstKddng commented on 2023-11-09 22:26 (UTC)

libvips needs a rebuild after the libimagequant upgrade, I'd suggest to switch to libvips-git

blackanon commented on 2023-11-09 21:38 (UTC) (edited on 2023-11-09 22:00 (UTC) by blackanon)

giving me this error while building:

[ 97%] Building CXX object CMakeFiles/ueberzug.dir/src/image/libvips.cpp.o
[100%] Linking CXX executable ueberzug
/usr/bin/ld: warning: libimagequant.so.0, needed by /usr/lib/libvips.so, not found (try using -rpath or -rpath-link)
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_set_dithering_level'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_set_speed'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_set_max_colors'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_attr_create'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_image_create_rgba'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_get_palette'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_write_remapped_image'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_image_add_fixed_color'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_set_quality'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_attr_destroy'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_image_quantize'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_result_destroy'
/usr/bin/ld: /usr/lib/libvips.so: undefined reference to `liq_image_destroy'
collect2: error: ld returned 1 exit status
make[2]: *** [CMakeFiles/ueberzug.dir/build.make:677: ueberzug] Error 1
make[1]: *** [CMakeFiles/Makefile2:83: CMakeFiles/ueberzug.dir/all] Error 2
make: *** [Makefile:136: all] Error 2
==> ERROR: A failure occurred in build().
    Aborting...
error: failed to build 'ueberzugpp-2.9.2-1':

libvips and libimagequants are installed

I also tried to download it from source and compile it with no success I've posted a new issue in it's github page

JstKddng commented on 2023-08-27 14:46 (UTC)

@mendez8

spdlog-git provides spdlog so it should work out of the box

mendez8 commented on 2023-08-26 17:52 (UTC)

is there a workaround I could use to build this package while having spdlog-git (dependency of waybar-hyprland-git) instead of spdlog on my system?

JstKddng commented on 2023-08-01 21:16 (UTC)

@deshdeepak

ueberzugpp is now on the chaotic-aur repo, go ahead and use it.

cyqsimon commented on 2023-07-25 07:18 (UTC)

@deshdeepak this is not the right place to ask for such a thing because upstream doesn't provide a binary build in releases; you'd have to pester them for it first.

Alternatively, you can either:

  1. send a package request to chaotic-aur and use that;

  2. or vote for this package.

deshdeepak commented on 2023-07-21 14:16 (UTC)

Can we get a pre compiled binary ueberzugpp-bin. This installs too many deps.